Listar faturas
curl --request GET \
--url https://api.malvo.io/bills \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.malvo.io/bills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.malvo.io/bills"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.malvo.io/bills",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"page": 1,
"total": 1,
"totalPages": 1,
"results": [
{
"id": "05c693bf-c196-47ea-a28c-8251d6bb8a06",
"dueDate": "2023-07-20T00:00:00",
"totalAmount": 50000,
"totalAmountCurrencyCode": "BRL",
"minimumPaymentAmount": 50000,
"allowsInstallments": true,
"financeCharges": [
{
"id": "123456bf-c196-47ea-a28c-8251d6bb8777",
"type": "IOF",
"amount": 20.51,
"currencyCode": "BRL",
"additionalInfo": "NA"
}
]
}
]
}{
"message": "accountId should not be null or undefined,accountId must be a UUID",
"code": 400
}{
"code": 500,
"codeDescription": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}Bills
Listar faturas
Lista as faturas de uma conta de cartão de crédito. O parâmetro accountId é obrigatório e deve referenciar uma conta de subtipo CREDIT_CARD.
GET
/
bills
Listar faturas
curl --request GET \
--url https://api.malvo.io/bills \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.malvo.io/bills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.malvo.io/bills"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.malvo.io/bills",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"page": 1,
"total": 1,
"totalPages": 1,
"results": [
{
"id": "05c693bf-c196-47ea-a28c-8251d6bb8a06",
"dueDate": "2023-07-20T00:00:00",
"totalAmount": 50000,
"totalAmountCurrencyCode": "BRL",
"minimumPaymentAmount": 50000,
"allowsInstallments": true,
"financeCharges": [
{
"id": "123456bf-c196-47ea-a28c-8251d6bb8777",
"type": "IOF",
"amount": 20.51,
"currencyCode": "BRL",
"additionalInfo": "NA"
}
]
}
]
}{
"message": "accountId should not be null or undefined,accountId must be a UUID",
"code": 400
}{
"code": 500,
"codeDescription": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}Authorizations
Chave de API obrigatória em todas as rotas.
Query Parameters
Identificador da conta de cartão de crédito (subtipo CREDIT_CARD).
Response
Envelope paginado com a lista de faturas.
Envelope de paginação por página (page-based). O campo results é especializado por endpoint.